# SDK Components

{% hint style="danger" %}
The following information is deprecated and may limit its use. Please refer to the WalletConnect 2.0 tab for the latest version of NEOPIN wallet integration: [WalletConnect 2.0](/developers/walletconnect-2.0.md)
{% endhint %}

<table><thead><tr><th width="290">ConnectManager components</th><th>Descriptions</th></tr></thead><tbody><tr><td>ConnectManager</td><td><p>Object for connecting to the NEOPIN Wallet. Currently supported listeners are as follows.</p><ul><li>wcConnect: Called when connecting to Bridge Server.</li><li>wcDisconnect: Called when a Disconnect request (KillSession request) is received and a SocketException error occurs.</li><li>wcSessionApprove: Called when a connection with the wallet is complete.</li><li>wcSessionReject: Called when the connection with the wallet fails.</li><li>wcResultResponse: Called when a response value according to the requested Method is delivered.</li></ul></td></tr><tr><td>getInstance()</td><td><p>Get the current SessionApprove completed Session.</p><ul><li>id: PeerId</li><li>session: Session Data</li><li>client: WebSocket Client connected to Bridge Server</li><li>regDate: Time the connection was completed</li><li>userAddress: Address delivered by Wallet</li><li>network: Network(ChainId)</li><li>remotePeerMeta: Counterpart PeerMeta</li><li>remotePeerId: Counterpart PeerId</li></ul></td></tr></tbody></table>

#### **WCSession Structure (DeepLink)**

<table><thead><tr><th width="141">Type</th><th>Value</th><th>Descriptions</th></tr></thead><tbody><tr><td>scheme</td><td>"nptwc"</td><td>Scheme used for NEOPIN Wallet</td></tr><tr><td>topic</td><td>"38b70a66-9959-4c85-96d5-2db30cedbbb4"</td><td>Random UUID</td></tr><tr><td>version</td><td>"1.0"</td><td>Version</td></tr><tr><td>bridge</td><td>"https://wc-bridge.neopin.io/"</td><td>Bridge Server</td></tr><tr><td>key</td><td>"6f133083c20d226e5c0846f494df16fed16158ede182910c34bbe7ce98d8b994"</td><td>Random Public Encryption and Decryption</td></tr></tbody></table>

#### **WCPeerMeta Structure**

<table><thead><tr><th width="140">Type</th><th width="306">Value</th><th width="299">Descriptions</th></tr></thead><tbody><tr><td>appId</td><td>"${Issuance required}"</td><td>Used as DApp storage delimiter</td></tr><tr><td>name</td><td>"Dapp Sample"</td><td>DApp name to display on the screen</td></tr><tr><td>url</td><td>"https://www.sample.com/"</td><td>DApp introduction URL to display on the screen</td></tr><tr><td>description</td><td>"Sample"</td><td>Brief introduction</td></tr><tr><td>icons</td><td>listOf("https://neopin.io/favicon.png")</td><td>DApp icon URL to display on the screen</td></tr><tr><td>deepLink</td><td>"sample://open"</td><td>(Optional) DeepLink to be called after sendTransaction is finished\</td></tr></tbody></table>

#### **WCEthereumTransaction Structure**

<table><thead><tr><th width="140">Type</th><th width="310">Value</th><th width="299">Descriptions</th></tr></thead><tbody><tr><td>chainId</td><td>"8217"</td><td>NEOPIN Connect supports a variety of networks, so specifying a chainID is required.</td></tr><tr><td>from</td><td>"0x..."</td><td>The address from which the transaction is sent.</td></tr><tr><td>to</td><td>"0x..."</td><td>The address to which the transaction is received.</td></tr><tr><td>nonce</td><td>"0x0001"</td><td>The number of transactions that the transaction sender has sent before this transaction.</td></tr><tr><td>gasPrice</td><td>"0x9184e72a000"</td><td>Price per gas, which is an integer value of gasPrice.</td></tr><tr><td>gas</td><td>"0x76c0"</td><td>Integer value of gas amount set for transaction execution.</td></tr><tr><td>value</td><td>"0x0"</td><td>(Optional) Integer value of the remittance that you want to send through the transaction.</td></tr><tr><td>data</td><td>"0xa9059cbb00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000"</td><td>(Optional) Hash of method identifiers and encoded parameters.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.neopin.io/developers/deprecated/deprecated-neopin-connect-1.0/dapp/android/sdk-components.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
